# Start updating the current email address Updates the user's email address. The user will receive an email with a one-time password (OTP) to verify the new email address. In order to finish the process, the user must provide the OTP to the _/zephr/users/update-email/{otp}_ endpoint. The difference between this endpoint and the _/blaize/users/update-email_ endpoint is that this endpoint requires the extra layer of authentication through the required validator. Endpoint: POST /zephr/users/update-email Version: 2025-07-30 Security: CookieBlaizeSession, JwtQuery, JwtHeaderXBlaizeJwt, JwtHeaderXZephrJwt, JwtBearer, JwtCookie ## Request fields (application/json): - `current_identifiers` (object, required) - `current_identifiers.email_address` (string) Example: "joe.blow@company.com" - `new_identifiers` (object, required) - `validators` (object, required) - `validators.password` (string) Example: "mysecurepassword123" - `validators.use_sso` (boolean) When this is present there should be no identifiers in the body. The user is identified through a blaize_session cookie. ## Response 200 fields (application/json): - `message` (string) Example: "Email with OTP sent to verify new email address" ## Response 400 fields ## Response 401 fields ## Response 404 fields